/* COLOUR THEMES */
/* Light (Default) Mode  */
[data-mode="light"],
[data-mode="default"] {
    --bgmono: radial-gradient(var(--col6), var(--col7));
    --bgmonobtn: linear-gradient(var(--col6), var(--col7));
    --bgmonobtnhov: var(--col6);
    --bgmonotl: linear-gradient(135deg, var(--col6), var(--col7));
    --colmonomain: #fff;
    --colcard: #000;
}

/* Dark Mode  */
[data-mode="dark"] {
    --bgmono: radial-gradient(var(--col8), var(--col9));
    --bgmonobtn: linear-gradient(var(--col8), var(--col9));
    --bgmonobtnhov: var(--col8);
    --bgmonotl: linear-gradient(135deg, var(--col8), var(--col9));
    --colmonomain: #000;
    --colcard: #fff;
}

/* Colour is Foreground */
[data-bafo="foreground"] {
    --bgpg: var(--bgmono);
    --bgcard: var(--bgcol);
    --bgbtn: var(--bgmonobtn);
    --bgbtnhov: var(--bgmonobtnhov);
    --bgtl: var(--bgmonotl);
    --colmain: var(--col4);
    --colaccent: var(--bgmonotl);
    --colcard: #fff;
}

/* Colour is Background */
[data-bafo="background"],
[data-bafo="default"] {
    --bgpg: var(--bgcol);
    --bgcard: var(--bgmono);
    --colmain: var(--colmonomain);
}


[data-theme] {
    --bgcol: radial-gradient(var(--col2), var(--col3), var(--col4));
}

/* Device presets */
@media (prefers-color-scheme: dark) {
    :root:not([data-mode="light"]) {
        --bgmono: radial-gradient(var(--col8), var(--col9));
    }
}

/* COLOUR THEMES */
[data-theme="default"] {
    --col1: #5492f2;
    --col2: #2570ea;
    --col3: #0f52ba;
    --col4: #0a377d;
    --col5: #051d42;
}

[data-theme="red"] {
    --col1: #FF8080;
    --col2: #FF6060;
    --col3: #FF4040;
    --col4: #FF0000;
    --col5: #C00000;
}

[data-theme="orange"] {
    --col1: #ffc000;
    --col2: #ffa000;
    --col3: #ff8000;
    --col4: #ff6000;
    --col5: #ff4000;
}

[data-theme="yellow"] {
    --col1: #FFFFC0;
    --col2: #FFFF80;
    --col3: #FFFF40;
    --col4: #FFFF00;
    --col5: #a0a000;
}

[data-theme="green"] {
    --col1: #80C080;
    --col2: #40C040;
    --col3: #00A000;
    --col4: #008000;
    --col5: #006000;
}

[data-theme="cyan"] {
    --col1: #AFEEEE;
    --col2: #77E7DF;
    --col3: #40E0D0;
    --col4: #20B5AD;
    --col5: #008B8B;
}

[data-theme="blue"] {
    --col1: #8080C0;
    --col2: #4040C0;
    --col3: #0000A0;
    --col4: #000080;
    --col5: #000060;
}

[data-theme="indigo"] {
    --col1: #b37fda;
    --col2: #954ccb;
    --col3: #7719bc;
    --col4: #4b0082;
    --col5: #2e004f;
}

[data-theme="violet"] {
    --col1: #FFA0FF;
    --col2: #e070e0;
    --col3: #c040c0;
    --col4: #a000a0;
    --col5: #800080;
}

/* EXTRA COLOURS */

[data-theme="apple"] {
    --col1: #B0DA9D;
    --col2: #8bc772;
    --col3: #66b447;
    --col4: #529039;
    --col5: #3E6C2B;
}

[data-theme="banana"] {
    --col1: #fff0b0;
    --col2: #ffe080;
    --col3: #FEDD00;
    --col4: #E6C700;
    --col5: #BFA600;
}

[data-theme="blueberry"] {
    --col1: #9dbcfb;
    --col2: #76A1F9;
    --col3: #4f86f7;
    --col4: #3070F5;
    --col5: #115bf4;
}

[data-theme="carrot"] {
    --col1: #ffc183;
    --col2: #ffb264;
    --col3: #ffa343;
    --col4: #e08639;
    --col5: #c36a30;
}

[data-theme="chips-and-gravy"] {
    --col1: #ffffbf;
    --col2: #F7ED9F;
    --col3: #f0db7f;
    --col4: #C49243;
    --col5: #994907;
}

[data-theme="coffee"] {
    --col1: #A77653;
    --col2: #8b6245;
    --col3: #6f4e37;
    --col4: #593e2c;
    --col5: #432E21;
}

[data-theme="cucumber-sandwiches"] {
    --col1: #e9ff96;
    --col2: #C6F164;
    --col3: #a4e333;
    --col4: #85C71C;
    --col5: #67ab05;
}

[data-theme="denim"] {
    --col1: #57C0FF;
    --col2: #3690DE;
    --col3: #1560BD;
    --col4: #0E407D;
    --col5: #071F3D;
}

[data-theme="hallowed-jack"] {
    --col1: #ff8c39;
    --col2: #FD6C22;
    --col3: #fc4c02;
    --col4: #D73A09;
    --col5: #b32807;
}

[data-theme="lemon"] {
    --col1: #fffcdc;
    --col2: #fff8ad;
    --col3: #fff47d;
    --col4: #f3df00;
    --col5: #c2b200;
}

[data-theme="lilac"] {
    --col1: #e6d7ff;
    --col2: #DDC5FF;
    --col3: #c090ff;
    --col4: #6024AE;
    --col5: #400093;
}

[data-theme="lincoln"] {
    --col1: #258507;
    --col2: #1f6f06;
    --col3: #195905;
    --col4: #144704;
    --col5: #0F3503;
}

[data-theme="london-bus"] {
    --col1: #e43628;
    --col2: #D7261F;
    --col3: #cb1716;
    --col4: #AF0B0B;
    --col5: #940000;
}

[data-theme="pink"] {
    --col1: #ffe0ff;
    --col2: #ffb0ff;
    --col3: #ff80ff;
    --col4: #b850b8;
    --col5: #702070;
}

/* BONUS EXTRA COLOURS  */

[data-theme="abominable"] {
    --col1: #dcf3ff;
    --col2: #BFE2EF;
    --col3: #a2d2df;
    --col4: #63A7C1;
    --col5: #257ca3;
}

[data-theme="angel"] {
    --col1: #dce7f9;
    --col2: #b8d0f3;
    --col3: #96AED0;
    --col4: #758dae;
    --col5: #4e5c70;
}

[data-theme="aqua"] {
    --col1: #E0FFFF;
    --col2: #A8FFFF;
    --col3: #00FFFF;
    --col4: #00c0c0;
    --col5: #00a0a0;
}

[data-theme="army"] {
    --col1: #A8B658;
    --col2: #7E8842;
    --col3: #545a2c;
    --col4: #32361A;
    --col5: #101208;
}

[data-theme="biscuit"] {
    --col1: #ebc8a2;
    --col2: #e4ba8b;
    --col3: #ddad75;
    --col4: #b58e61;
    --col5: #8e704d;
}

[data-theme="blue-steel"] {
    --col1: #a9c6de;
    --col2: #71a0c8;
    --col3: #4682B4;
    --col4: #386890;
    --col5: #2d5373;
}

[data-theme="boiled-cabbage"] {
    --col1: #f6ffdf;
    --col2: #dae7c4;
    --col3: #BECFA9;
    --col4: #a3b88e;
    --col5: #6a825d;
}

[data-theme="brass"] {
    --col1: #f7e557;
    --col2: #D1C249;
    --col3: #ac9f3c;
    --col4: #8B8130;
    --col5: #6b6325;
}

[data-theme="british-racing-green"] {
    --col1: #6CA783;
    --col2: #397352;
    --col3: #1F5A3B;
    --col4: #004225;
    --col5: #002B10;
}

[data-theme="brocolli-soup"] {
    --col1: #a6bc57;
    --col2: #95ab49;
    --col3: #758b32;
    --col4: #526619;
    --col5: #304100;
}

[data-theme="cadbury"] {
    --col1: #876bab;
    --col2: #72549D;
    --col3: #5d3d90;
    --col4: #482682;
    --col5: #330F74;
}

[data-theme="cayenne"] {
    --col1: #ff9262;
    --col2: #fa753c;
    --col3: #F0560D;
    --col4: #c54911;
    --col5: #9b3c12;
}

[data-theme="cheddar"] {
    --col1: #ffefbe;
    --col2: #FDE591;
    --col3: #fbdb65;
    --col4: #dcbf49;
    --col5: #c1a730;
}

[data-theme="cheese-puffs"] {
    --col1: #ffcd72;
    --col2: #ffa84f;
    --col3: #F79239;
    --col4: #dd7d22;
    --col5: #c76b08;
}

[data-theme="cheesecake"] {
    --col1: #ffffea;
    --col2: #fffcda;
    --col3: #efeaba;
    --col4: #dfcd9a;
    --col5: #bf795a;
}

[data-theme="chilli-pepper"] {
    --col1: #ff835c;
    --col2: #ff5f34;
    --col3: #FF2F00;
    --col4: #d12c08;
    --col5: #a4280c;
}

[data-theme="chocolate"] {
    --col1: #ad7953;
    --col2: #A66540;
    --col3: #a0522d;
    --col4: #623412;
    --col5: #241600;
}

[data-theme="cinnamon"] {
    --col1: #e3c9a9;
    --col2: #d0a36d;
    --col3: #c0853e;
    --col4: #9a6a32;
    --col5: #7b5528;
}

[data-theme="coral"] {
    --col1: #FFC5B0;
    --col2: #FFA280;
    --col3: #FF7F50;
    --col4: #DD4A14;
    --col5: #D13800;
}

[data-theme="cornflower-blue"] {
    --col1: #a9d5ff;
    --col2: #84b2ff;
    --col3: #6495ed;
    --col4: #4179ce;
    --col5: #1d63b5;
}

[data-theme="daffodil"] {
    --col1: #ffffdc;
    --col2: #ffff7d;
    --col3: #ffff31;
    --col4: #f3f300;
    --col5: #f3f300;
}

[data-theme="eucalyptus"] {
    --col1: #a7f3db;
    --col2: #82e4c5;
    --col3: #44D7A8;
    --col4: #309676;
    --col5: #1C5744;
}

[data-theme="fire"] {
    --col1: #fdf88b;
    --col2: #fac546;
    --col3: #f89200;
    --col4: #bc4900;
    --col5: #800000;
}

[data-theme="fuzzy-duckling"] {
    --col1: #FFFCC2;
    --col2: #FEEF86;
    --col3: #FDE24A;
    --col4: #D9C233;
    --col5: #B6A21C;
}

[data-theme="ginge"] {
    --col1: #edb173;
    --col2: #e79745;
    --col3: #e17d17;
    --col4: #b46412;
    --col5: #874b0d;
}

[data-theme="gold"] {
    --col1: #E9DDA5;
    --col2: #dcc970;
    --col3: #cfb53b;
    --col4: #ab942a;
    --col5: #877319;
}

[data-theme="goldfish"] {
    --col1: #ffdd19;
    --col2: #ffbb16;
    --col3: #FF9913;
    --col4: #E68910;
    --col5: #BF720D;
}

[data-theme="honey"] {
    --col1: #fcdd93;
    --col2: #FFD36E;
    --col3: #ebbc4e;
    --col4: #B58F37;
    --col5: #7e6220;
}

[data-theme="iris"] {
    --col1: #d0cdf1;
    --col2: #8f87de;
    --col3: #5a4fcf;
    --col4: #3c31b4;
    --col5: #302790;
}

[data-theme="jade "] {
    --col1: #d5eac3;
    --col2: #cae4b4;
    --col3: #BFDFA5;
    --col4: #7baf6b;
    --col5: #3d6636;
}

[data-theme="leaf"] {
    --col1: #C1E164;
    --col2: #99c548;
    --col3: #71A92C;
    --col4: #5F8F25;
    --col5: #46691B;
}

[data-theme="life-on-mars"] {
    --col1: #eee2e2;
    --col2: #e3c09d;
    --col3: #e39776;
    --col4: #dd6345;
    --col5: #b83b1c;
}

[data-theme="lime"] {
    --col1: #C9ED7E;
    --col2: #B7F25F;
    --col3: #7FFF00;
    --col4: #208B00;
    --col5: #006400;
}

[data-theme="lobster"] {
    --col1: #FDBBA6;
    --col2: #fc8861;
    --col3: #fb551c;
    --col4: #db3b04;
    --col5: #BB2100;
}

[data-theme="mallard"] {
    --col1: #33c333;
    --col2: #289328;
    --col3: #236323;
    --col4: #183318;
    --col5: #132913;
}

[data-theme="marshmallow"] {
    --col1: #fff3f6;
    --col2: #ffe5ea;
    --col3: #ffcbce;
    --col4: #ffb3b3;
    --col5: #ff9999;
}

[data-theme="mint"] {
    --col1: #eff8f3;
    --col2: #C8EED5;
    --col3: #A2E4B8;
    --col4: #8FC9A3;
    --col5: #7BAE8E;
}

[data-theme="misty-morning"] {
    --col1: #E0F0E1;
    --col2: #b8d1ca;
    --col3: #90b2b3;
    --col4: #69939c;
    --col5: #427485;
}

[data-theme="neptune"] {
    --col1: #93aef8;
    --col2: #4877f4;
    --col3: #0e4bef;
    --col4: #0b3cbf;
    --col5: #093099;
}

[data-theme="ocean"] {
    --col1: #16d0ff;
    --col2: #00bdec;
    --col3: #009dc4;
    --col4: #0082a3;
    --col5: #00627a;
}

[data-theme="oink"] {
    --col1: #f7d5d9;
    --col2: #f2c0c7;
    --col3: #e59da3;
    --col4: #da7c80;
    --col5: #a15c5f;
}

[data-theme="olive"] {
    --col1: #b9c999;
    --col2: #a6b666;
    --col3: #787D33;
    --col4: #516116;
    --col5: #304000;
}

[data-theme="paprika"] {
    --col1: #d97659;
    --col2: #c85333;
    --col3: #b52b0b;
    --col4: #95270d;
    --col5: #77220d;
}

[data-theme="peach"] {
    --col1: #ffc0a3;
    --col2: #feb18d;
    --col3: #faa177;
    --col4: #dc8462;
    --col5: #c0694f;
}

[data-theme="radioactive-womble"] {
    --col1: #f0ff41;
    --col2: #e0ff2b;
    --col3: #CFFF04;
    --col4: #9ed000;
    --col5: #7ea000;
}

[data-theme="raspberry"] {
    --col1: #FBA3C4;
    --col2: #F57DAA;
    --col3: #E30B5D;
    --col4: #8D073A;
    --col5: #70052E;
}

[data-theme="red-squirrel"] {
    --col1: #e68b6a;
    --col2: #cb4f25;
    --col3: #b43b12;
    --col4: #9d2600;
    --col5: #7c1300;
}

[data-theme="rust"] {
    --col1: #d3641e;
    --col2: #C6550F;
    --col3: #b94700;
    --col4: #7A2E00;
    --col5: #3b1600;
}

[data-theme="salmon"] {
    --col1: #ffbfac;
    --col2: #ffae99;
    --col3: #FF9E85;
    --col4: #e0826e;
    --col5: #c36757;
}

[data-theme="sand"] {
    --col1: #f9e6c4;
    --col2: #f7e0b5;
    --col3: #f4daa7;
    --col4: #c7b279;
    --col5: #9c8b4c;
}

[data-theme="shortbread"] {
    --col1: #feefb5;
    --col2: #fdeba3;
    --col3: #fbe790;
    --col4: #cdac67;
    --col5: #a0834e;
}

[data-theme="silent-but-deadly"] {
    --col1: #d8e191;
    --col2: #c3d157;
    --col3: #abba33;
    --col4: #899529;
    --col5: #6e7721;
}

[data-theme="spring-onion"] {
    --col1: #F1FAC2;
    --col2: #c8f696;
    --col3: #91C667;
    --col4: #599537;
    --col5: #3E6827;
}

[data-theme="stilton"] {
    --col1: #f1f7ff;
    --col2: #B2CCDD;
    --col3: #73A0BD;
    --col4: #347599;
    --col5: #00366c;
}

[data-theme="teal"] {
    --col1: #60c0c0;
    --col2: #00a0a0;
    --col3: #008080;
    --col4: #006666;
    --col5: #004c4c;
}

[data-theme="the-queen's-lipstick"] {
    --col1: #f37e93;
    --col2: #ef627d;
    --col3: #ee4469;
    --col4: #e61d4c;
    --col5: #db0337;
}

[data-theme="turmeric"] {
    --col1: #fbdb7a;
    --col2: #f6d256;
    --col3: #f0ca28;
    --col4: #d3b000;
    --col5: #b99900;
}

[data-theme="walnut"] {
    --col1: #cdaf96;
    --col2: #c09c7d;
    --col3: #B28965;
    --col4: #927154;
    --col5: #735a43;
}

[data-theme="wimbledon"] {
    --col1: #7fd34d;
    --col2: #60B52B;
    --col3: #41980a;
    --col4: #2A7205;
    --col5: #134d00;
}

/* [data-theme=""] {} */